//+------------------------------------------------------------------+
//|                                                   TestExpert.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"


#include <Indicators\Oscilators.mqh>
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+




int OnInit()
{

   return(0);
}

void TestMacdFromClass()
{
   printf("Test Class macd is starting !");
   CiMACD imacd;
   imacd.Create(NULL,PERIOD_CURRENT,12,26,9,PRICE_CLOSE);
   printf("%d ,%d ,%d",imacd.FastEmaPeriod(),imacd.SlowEmaPeriod(),imacd.SignalPeriod());
   printf("%f, %f",imacd.Main(0),imacd.Signal(0)); 
}

void TestMacdFromFunction()
{ 
   printf("Test macd array is staring !");  
   double macd[];
   int macdHandle=iMACD(Symbol(),PERIOD_CURRENT,12,26,9,PRICE_CLOSE);
   ArraySetAsSeries(macd,true);
   CopyBuffer(macdHandle,0,0,100,macd);
   printf("%s  %f  %f   %f",Symbol(),macd[0],macd[1],macd[2]);
}
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
//---
   Print("It is deiniting");
}
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
{
//---
   TestMacdFromFunction();
   TestMacdFromClass();
  
}
//+------------------------------------------------------------------+
